{% extends "page.html" %}
{% block content %}
    <section>
        <div class="container text-center mx-auto">
            <form class="text-center p-3 my-3">
                <h1>Activity</h1>
                <div class="form-group row d-flex justify-content-center">
                    <label for="narrow" class="col-auto col-form-label">Search User by CRSid</label>
                    <div class="col-auto">
                        <input type="text" class="form-control" id="narrow" placeholder="Enter CRSid">
                    </div>
                    <button class="btn btn-info" type="button" onclick="$('#narrow').val('').trigger('input')">Clear</button>
                </div>
            </form>
            <table class="table table-sm table-bordered w-auto mx-auto">
                <thead class="thead-light">
                <tr>
                    <th>Date</th>
                    <th>Scan action</th>
                    <th>Location</th>
                    <th>User</th>
                    <th>Actions</th>
                </tr>
                </thead>
                {% for scan in scans %}
                    <tr class="scan-row" data-crsid="{{ scan.crsid or '' }}">
                        <td>
                            <span data-timestamp="{{ scan.timestamp }}">
                                {{ datetime.fromtimestamp(scan.timestamp).strftime('%c') }}
                            </span>
                        </td>
                        <td>
                            {% if scan.reader == "yellow" %}
                                <span class="btn btn-sign-in py-0 align-top">In</span>
                            {% else %}
                                <span class="btn btn-sign-out py-0 align-top">Out</span>
                            {% endif %}
                        </td>
                        <td>
                            {% if buildings|length > 1 %}
                                <span class="font-weight-bold">{{ scan.location.building }}</span>
                            {% endif %}
                            {{ scan.location.location or "Remote" }}
                        </td>
                        <td>
                            <span class="scan-user" style="cursor: pointer" data-crsid="{{ scan.crsid or '' }}">
                                {{ scan.name }}
                                {% if scan.crsid %}
                                    - <code>{{ scan.crsid }}</code>
                                {% endif %}
                            </span>
                        </td>
                        <td>
                            <a class="btn btn-sm btn-secondary py-0 align-top"
                               href="{{ url_for('view.scan', reader='edit', crsid=scan.crsid, mifare=scan.mifare) }}">
                                View User
                            </a>
                        </td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </section>
{% endblock content %}
